import javax.swing.JOptionPane;
import java.util.Random;

public class Guess
{
    private static final byte max = 127;
    private static byte number;
    private static byte tries;
	
    public static void start(){
      number = (byte)(Math.random()*max);
      tries = 0;
      check();
    }
    public static void check(){
      String check = JOptionPane.showInputDialog(null, "Spkite skaii:");
      try {
        if (check == null) { 
		    System.exit(1); 
	    }
		
        int good = Integer.parseInt(check);
        if (Integer.parseInt(check) > 127) { 
		     printOutOfRange(); 
	    }
        if (Integer.parseInt(check) < 0) { printOutOfRange(); }
        if (Integer.parseInt(check) > number) { tries++; printLower(); }
        else if (Integer.parseInt(check) < number) { tries++; printHigher(); }
        else if (Integer.parseInt(check) == number) { tries++; printGotIt(); }
      }
      catch (NumberFormatException exc) { 
	      printInvalidNumber(); 
	  }
    }
    public static void printOutOfRange(){
      JOptionPane.showMessageDialog(null, "Klaida! Ijote i ri");
    }
    public static void printLower(){
      JOptionPane.showMessageDialog(null, "Skaiius yra maesnis!");
      check();
    }
    public static void printHigher(){
      JOptionPane.showMessageDialog(null, "Skaiius yra didesnis!");
      check();
    }
    public static void printGotIt(){
      if (JOptionPane.showConfirmDialog(null, "aisti dar kart?" , 
	       "Atspjote! Mginimai: " + tries, 
		   JOptionPane.YES_NO_OPTION) == 0) { start(); }
      else { System.exit(1); }
    }
    public static void printInvalidNumber(){
      JOptionPane.showMessageDialog(null, "Praome vesti skaii!");
      check();
    }
	
    public static void main(String[] args){	  
        JOptionPane.showMessageDialog(null, 
	        "Interaktyvus aidimas 'atspk skaii' ( 0; " + max + ")\n"
			+ "Sukr Vytautas Dulskas\nInformatika, II kursas, Igr.");
        start(); 
    }
}